## ide-persistent-map ide-persistent-map |

## Functions

IdePersistentMap * | ide_persistent_map_new ()
gboolean | ide_persistent_map_load_file ()
void | ide_persistent_map_load_file_async ()
gboolean | ide_persistent_map_load_file_finish ()
GVariant * | ide_persistent_map_lookup_value ()
gint64 | ide_persistent_map_builder_get_metadata_int64 ()

## Types and Values

#define | IDE_TYPE_PERSISTENT_MAP
| IdePersistentMap

## Object Hierarchy

        GObject
        ╰── IdePersistentMap

## Description

## Functions

### ide_persistent_map_new ()

    IdePersistentMap *
    ide_persistent_map_new (void);

### ide_persistent_map_load_file ()

    gboolean
    ide_persistent_map_load_file (IdePersistentMap *self,
                                  GFile *file,
                                  GCancellable *cancellable,
                                  GError **error);

### ide_persistent_map_load_file_async ()

    void
    ide_persistent_map_load_file_async (IdePersistentMap *self,
                                        GFile *file,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

### ide_persistent_map_load_file_finish ()

    gboolean
    ide_persistent_map_load_file_finish (IdePersistentMap *self,
                                         GAsyncResult *result,
                                         GError **error);

#### Parameters

self | an IdePersistentMap |
result | a GAsyncResult provided to callback |
error | a location for a GError, or `NULL` |

#### Returns

Whether file is loaded or not.

Since: 3.32

### ide_persistent_map_lookup_value ()

    GVariant *
    ide_persistent_map_lookup_value (IdePersistentMap *self,
                                     const gchar *key);

#### Parameters

self | An IdePersistentMap instance. |
key | key to lookup value |

#### Returns

(transfer full) : value associalted with `key` .

Since: 3.32

### ide_persistent_map_builder_get_metadata_int64 ()

    gint64
    ide_persistent_map_builder_get_metadata_int64
                                   (IdePersistentMap *self,
                                    const gchar *key);

## Types and Values

### IDE_TYPE_PERSISTENT_MAP

    #define IDE_TYPE_PERSISTENT_MAP (ide_persistent_map_get_type ())

### IdePersistentMap

    typedef struct _IdePersistentMap IdePersistentMap;